.wrapper-editor {
    background-color: #F8FAFD;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 40px;
    flex-wrap: wrap;

    padding: 60px 0px 30px 0px;

    overflow-x: hidden;
    overflow-y: scroll;

    position: relative;
}

.editor-paper {
    width: 210mm;
    height: 297mm;
    background-color: white;
    position: relative;
    overflow: hidden;
    break-after: page;
    outline: 1px solid #c4c7c5;
    background-image: var(--default-bg);
    background-size: 100%;
    background-repeat: no-repeat;
    background-position-y: 15pt;
    margin-top: 1px;

    position: relative;
}

#page1:hover, .show-grid {
    position: relative;
    background-image:
      linear-gradient(to right, rgba(0, 0, 0, 0.05) 1px, transparent 1px),
      linear-gradient(to bottom, rgba(0,0,0,0.05) 1px, transparent 1px),
      var(--default-bg);

    background-size: var(--grid-size) var(--grid-size), var(--grid-size) var(--grid-size), 100%;
    background-repeat: repeat, repeat, no-repeat;
    background-position-y: 0%, 0%, 15pt;
}

.markup-block {
    position: absolute;
    /*

    white-space: pre-wrap;
    white-space: -moz-pre-wrap;
    white-space: -pre-wrap;
    white-space: -o-pre-wrap;
    word-wrap: break-word;
    */
    cursor: pointer;
}

.markup-block p {
    font-family: var(--default-font);
    color: black;
    text-align: left;
    font-size: var(--default-font-size);
}

.markup-block:hover {
    outline: solid 1px #ccc;
    background-color: white;
}

.selected-element {
    outline: solid 1px blue !important;
}

.block-floating {
    width: fit-content !important;
}

.editable-false {
    user-select: none;
}
